{ pkgs ? import <nixpkgs> {} }:

let
  vulkanTutorial = pkgs.haskellPackages.callCabal2nix "vulkan-tutorial" (gitignore ./.) {};
  gitignore = src: pkgs.nix-gitignore.gitignoreSource [] src;
  hpkgs = pkgs.haskellPackages.override {
    overrides = final: prev: {
      vulkanTutorial = vulkanTutorial;
    };
  };
in
  hpkgs.shellFor {
    packages = p: [
      p.vulkanTutorial
    ];
    buildInputs =
      vulkanTutorial.buildInputs ++ [ pkgs.shaderc ];
  }
